package edu.travel.adapter.service.commodity;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.commodity.ShopCategoryRemoteController;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.dto.ShopTypeDto;
import edu.travel.remote.vo.FileWebVo;
import edu.travel.remote.vo.ShopTypeVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@Component
public class ShopCategoryAdapter {
    @Autowired
    private ShopCategoryRemoteController shopCategoryRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<List<ShopTypeVo>> getShopType(ShopTypeDto param) {
        return shopCategoryRemoteController.getShopType(param);
    }

    @AdapterAnnotation
    public RPCBaseResponse<List<ShopTypeVo>> getLevelToShopType(@SpringQueryMap BaseDto param) {
        return shopCategoryRemoteController.getLevelToShopType(param);
    }

    @AdapterAnnotation
    public RPCBaseResponse<FileWebVo> uploadIcon(MultipartFile file) {
        return shopCategoryRemoteController.uploadIcon(file);
    }


}
