package edu.travel.adapter.service.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.commodity.ShopProductRemoteController;
import edu.travel.remote.dto.GetProductByTypeDto;
import edu.travel.remote.dto.InsertProductDto;
import edu.travel.remote.dto.SearchProductDto;
import edu.travel.remote.vo.FileWebVo;
import edu.travel.remote.vo.ShopProductVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

@Component
public class ShopProductAdapter {
    @Autowired
    private ShopProductRemoteController shopProductRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<Page<ShopProductVo>> getHotProduct(GetProductByTypeDto param) {
        return shopProductRemoteController.getHotProduct(param);
    }

    @AdapterAnnotation
    public RPCBaseResponse<Page<ShopProductVo>> searchProduct(SearchProductDto param) throws IOException {
        return shopProductRemoteController.searchProduct(param);
    }

    @AdapterAnnotation
    public RPCBaseResponse<FileWebVo> uploadProductImage(MultipartFile file) {
        return shopProductRemoteController.uploadProductImage(file);
    }

    @AdapterAnnotation
    public RPCBaseResponse<Void> insertProduct(InsertProductDto params) {
        return shopProductRemoteController.insertProduct(params);
    }

    @AdapterAnnotation
    public RPCBaseResponse<String> getSkuId() {
        return shopProductRemoteController.getSkuId();
    }

}
