package edu.travel.adapter.service.country;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.dto.BaseCountryServeDto;
import edu.travel.remote.BaseCountryServeRemoteController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.BaseCountryServeVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class CountryAdapter {
    @Autowired
    private BaseCountryServeRemoteController baseCountryServeRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<List<BaseCountryServeVo>> getCountryServeTree() {
        return baseCountryServeRemoteController.getCountryServeTree();
    }

    @AdapterAnnotation
    public RPCBaseResponse<BaseCountryServeVo> getFormId(String id) {
        return baseCountryServeRemoteController.getFormId(id);
    }

    @AdapterAnnotation

    public RPCBaseResponse<BaseCountryServeVo> updateTargetFormId(BaseCountryServeDto entity) {
        return baseCountryServeRemoteController.updateTargetFormId(entity);
    }

    @AdapterAnnotation

    public RPCBaseResponse<BaseCountryServeVo> saveFormTarget(BaseCountryServeDto entity) {
        return baseCountryServeRemoteController.saveFormTarget(entity);
    }

    @AdapterAnnotation

    public RPCBaseResponse<BaseCountryServeVo> deleteTargetFormId(List<String> ids) {
        return baseCountryServeRemoteController.deleteTargetFormId(ids);
    }

    @AdapterAnnotation

    public RPCBaseResponse<List<BaseCountryServeVo>> getAllForm() {
        return baseCountryServeRemoteController.getAllForm();
    }
}
