package edu.travel.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.adapter.service.commodity.ShopAddressAdapter;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.dto.UpdateAddressDto;
import edu.travel.remote.vo.ShopAddressVo;
import edu.travel.resp.BaseResponse;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 地址表(shop_address)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/shopAddress")
public class ShopAddressController {
    /**
     * 服务对象
     */
    @Autowired
    private ShopAddressAdapter shopAddressAdapter;

    /**
     * 查询登录用户的地址信息
     *
     * @param dto
     * @return {@link BaseResponse }<{@link Page }<{@link ShopAddressVo }>>
     */
    @GetMapping("/getShopAddress")
    public RPCBaseResponse<Page<ShopAddressVo>> getShopAddress(BaseDto dto) {
        return shopAddressAdapter.getShopAddress(dto);
    }

    /**
     * 新增或编辑地址
     *
     * @param param
     * @return {@link BaseResponse }<{@link Void }>
     */
    @PostMapping("/savaOrUpdateAddressById")
    public RPCBaseResponse<Boolean> updateAddressById(@RequestBody UpdateAddressDto param) {
        return shopAddressAdapter.updateAddressById(param);
    }


}
