package edu.travel.controller;

import edu.travel.adapter.service.commodity.ShopOpinionAdapter;
import edu.travel.remote.dto.ShopOpinionDto;
import edu.travel.remote.vo.FileWebVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 意见表(shop_opinion)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/shopOpinion")
public class ShopOpinionController {

    @Autowired
    private ShopOpinionAdapter shopOpinionAdapter;

    /**
     * 新增意见
     */
    @PostMapping("/saveFormTarget")
    public RPCBaseResponse<Void> saveFormTarget(@RequestBody ShopOpinionDto entity) {
        return shopOpinionAdapter.saveFormTarget(entity);
    }

    /**
     * 删除意见
     */
    @PostMapping("/deleteTargetFormId")
    public RPCBaseResponse<Void> deleteTargetFormId(@RequestBody List<String> ids) {
        return shopOpinionAdapter.deleteTargetFormId(ids);
    }

    /**
     * 意见图片上传
     */
    @PostMapping(value = "/uploadOpinionImage")
    public RPCBaseResponse<FileWebVo> uploadOpinionImage(MultipartFile file) {
        return shopOpinionAdapter.uploadOpinionImage(file);
    }
}
