package edu.travel.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.adapter.service.commodity.ShopParametersAdapter;
import edu.travel.remote.dto.ParametersDto;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.vo.ParametersVo;
import edu.travel.remote.vo.ShopParametersVo;
import edu.travel.resp.BaseResponse;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 商品参数(shop_parameters)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/shopParameters")
public class ShopParametersController {
    @Autowired
    private ShopParametersAdapter shopParametersAdapter;

    /**
     * 获取商品参数
     *
     * @param param
     * @return {@link BaseResponse }<{@link Page }<{@link ShopParametersVo }>>
     */
    @GetMapping("getShopParameters")
    public RPCBaseResponse<Page<ShopParametersVo>> getShopParameters(ProductSpecDto param) {
        return shopParametersAdapter.getShopParameters(param);
    }

    /**
     * 获取参数
     */
    @GetMapping("getAllParameters")
    public RPCBaseResponse<Page<ParametersVo>> getAllParameters(ParametersDto param) {
        return shopParametersAdapter.getAllParameters(param);
    }

}
