package edu.travel.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.adapter.service.commodity.ShopReviewAdapter;
import edu.travel.remote.dto.AddReviewDto;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.vo.FileWebVo;
import edu.travel.remote.vo.ShopReviewVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

/**
 * 商品评论表(shop_review)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/shopReview")
public class ShopReviewController {
    @Autowired
    private ShopReviewAdapter shopReviewService;

    /**
     * 获取商品评论
     *
     * @param params
     * @return {@link RPCBaseResponse }<{@link Page }<{@link ShopReviewVo }>>
     */

    @GetMapping("/getShopReview")
    public RPCBaseResponse<Page<ShopReviewVo>> getShopReview(ProductSpecDto params) {
        return shopReviewService.getShopReview(params);
    }

    /**
     * 发表评论
     *
     * @param params
     * @return {@link RPCBaseResponse }<{@link String }>
     */
    @PostMapping("/addReview")
    public RPCBaseResponse<String> addReview(@RequestBody AddReviewDto params) {
        return shopReviewService.addReview(params);
    }

    /**
     * 上传评论图片
     */
    @PostMapping("/uploadReviewImage")
    public RPCBaseResponse<FileWebVo> uploadReviewImage(MultipartFile file) {
        return shopReviewService.uploadReviewImage(file);
    }
}
