package edu.travel.config;

import feign.RequestInterceptor;
import feign.RequestTemplate;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.context.request.RequestAttributes;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;
import java.util.Enumeration;

@Configuration
public class HeaderInterceptor {
    @Bean
    public RequestInterceptor requestInterceptor() {
        return new RequestInterceptor() {
            @Override
            public void apply(RequestTemplate template) {
                /**
                 *   从 consumer 获取 请求header参数    透传到 provider
                 */
                RequestAttributes requestAttributes = RequestContextHolder.getRequestAttributes();
                if (requestAttributes != null) {
                    ServletRequestAttributes servletRequestAttributes = (ServletRequestAttributes) requestAttributes;
                    if (servletRequestAttributes != null) {
                        HttpServletRequest request = servletRequestAttributes.getRequest();

                        Enumeration<String> headerNames = request.getHeaderNames();
                        if (headerNames != null) {
                            while (headerNames.hasMoreElements()) {
                                String name = headerNames.nextElement();
                                if (name.equals("token") || name.equals("TOKEN") || name.equals("project") || name.equals("PROJECT")) {
                                    String values = request.getHeader(name);
                                    template.header(name, values);
                                } else {
                                    continue;
                                }

                            }
                        }
                    }
                }

            }
        }
                ;
    }

}
