package edu.travel.upload.oss;

import com.aliyun.oss.OSS;
import edu.travel.upload.oss.property.CloudOssProperty;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.stereotype.Component;

import java.io.InputStream;
import java.util.UUID;

@Component
@ConditionalOnClass(OSS.class)
public class AlibabaOSSUtils {
    Logger log = LoggerFactory.getLogger(AlibabaOSSUtils.class);

    @Autowired
    private OSS ossClient;
    @Autowired
    private CloudOssProperty cloudOssProperty;

    public String uploadToOss(InputStream inputStream, String originalFilename) {
        // 生成唯一文件名
        String filename = UUID.randomUUID() + originalFilename.substring(originalFilename.lastIndexOf("."));
        // 上传文件
        ossClient.putObject(cloudOssProperty.getBucketName(), filename, inputStream);
        // 返回文件的URL
        return "https://" + cloudOssProperty.getBucketName() + "." + cloudOssProperty.getEndpoint() + "/" + filename;
    }


}
