package edu.travel.remote.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.remote.dto.AddFavoriteDto;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.vo.ShopFavoriteVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Set;

@FeignClient(name = "commodity-dev", path = "/shopFavorite")
public interface ShopFavoriteRemoteController {

    @GetMapping("/getFavorite")
    public RPCBaseResponse<Page<ShopFavoriteVo>> getFavorite(@SpringQueryMap BaseDto baseDto);

    @PostMapping("/addFavorite")
    public RPCBaseResponse<Void> addFavorite(@RequestBody AddFavoriteDto params);

    @PostMapping("/removeFavorite")
    public RPCBaseResponse<Void> removeFavorite(@RequestBody Set<String> ids);

    @PostMapping("/removeAllFavorite")
    public RPCBaseResponse<Void> removeAllFavorite();

}
