package edu.travel.remote.commodity;

import edu.travel.remote.base.RemoteBaseController;
import edu.travel.remote.dto.ShopOpinionDto;
import edu.travel.remote.vo.FileWebVo;
import edu.travel.remote.vo.ShopOpinionVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

@FeignClient(name = "commodity-dev", path = "/shopOpinion")
public interface ShopOpinionRemoteController extends RemoteBaseController<ShopOpinionVo, ShopOpinionDto> {
    @PostMapping(value = "/uploadOpinionImage", headers = {"content-type=multipart/form-data"})
    public RPCBaseResponse<FileWebVo> uploadOpinionImage(@RequestPart("file") MultipartFile file);

}
