package edu.travel.remote.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.remote.dto.GetProductByTypeDto;
import edu.travel.remote.dto.InsertProductDto;
import edu.travel.remote.dto.SearchProductDto;
import edu.travel.remote.vo.FileWebVo;
import edu.travel.remote.vo.ShopProductVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

@FeignClient(name = "commodity-dev", path = "/shopProduct")
public interface ShopProductRemoteController {
    @GetMapping("/getHotProduct")
    public RPCBaseResponse<Page<ShopProductVo>> getHotProduct(@SpringQueryMap GetProductByTypeDto param);

    @GetMapping("/searchProduct")
    public RPCBaseResponse<Page<ShopProductVo>> searchProduct(@SpringQueryMap SearchProductDto param) throws IOException;

    @PostMapping(value = "/uploadProductImage", headers = {"content-type=multipart/form-data"})
    public RPCBaseResponse<FileWebVo> uploadProductImage(MultipartFile file);

    @PostMapping("/insertProduct")
    public RPCBaseResponse<Void> insertProduct(@RequestBody InsertProductDto params);

    @GetMapping("/getSkuId")
    public RPCBaseResponse<String> getSkuId();
}
