package edu.travel.remote.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.remote.dto.AddReviewDto;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.dto.ShopReviewDto;
import edu.travel.remote.vo.FileWebVo;
import edu.travel.remote.vo.ShopReviewVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@FeignClient(name = "commodity-dev", path = "/shopReview")
public interface ShopReviewRemoteController extends RemoteBaseController<ShopReviewVo, ShopReviewDto> {
    @GetMapping("/getShopReview")
    public RPCBaseResponse<Page<ShopReviewVo>> getShopReview(@SpringQueryMap ProductSpecDto params);

    @PostMapping("/addReview")
    public RPCBaseResponse<String> addReview(@RequestBody AddReviewDto params);

    @PostMapping(value = "/uploadReviewImage", headers = {"content-type=multipart/form-data"})
    public RPCBaseResponse<FileWebVo> uploadReviewImage(@RequestPart("file") MultipartFile file);

    @PostMapping("/uploadReviewImages")
    public RPCBaseResponse<String> uploadReviewImages(List<MultipartFile> files);
}
