package edu.travel.remote.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.remote.dto.SearchRecordListDto;
import edu.travel.remote.vo.SearchRecordsVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


@FeignClient(name = "commodity-dev", path = "/shopSearchRecords")
public interface ShopSearchRecordsRemoteController {

    @PostMapping("/clearSearchRecord")
    public RPCBaseResponse<Void> clearProjectSearchRecords(@RequestBody SearchRecordListDto clear);

    @GetMapping("/searchRecordList")
    public RPCBaseResponse<Page<SearchRecordsVo>> searchRecordList(@SpringQueryMap SearchRecordListDto baseDto);
}
