package edu.travel.remote.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.remote.dto.AddShopCartDto;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.dto.UpdateShopCarDto;
import edu.travel.remote.vo.ShopCartListVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Set;


@FeignClient(name = "commodity-dev", path = "/shopShoppingCart")
public interface ShopShoppingCartRemoteController {

    @PostMapping("/addShopCart")
    public RPCBaseResponse<Boolean> addShopCart(@RequestBody AddShopCartDto params);


    @GetMapping("/getShopCartList")
    public RPCBaseResponse<Page<ShopCartListVo>> getShopCartList(@SpringQueryMap BaseDto params);


    @PostMapping("/updateCart")
    public RPCBaseResponse<Boolean> updateCart(@RequestBody UpdateShopCarDto params);


    @PostMapping("/delCart")
    public RPCBaseResponse<Integer> delCart(@RequestBody Set<String> ids);
}
