package edu.travel.remote.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.remote.dto.SpecDto;
import edu.travel.remote.vo.SpecVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;


@FeignClient(name = "commodity-dev", path = "/shopSpec")
public interface ShopSpecRemoteController extends RemoteBaseController<SpecVo, SpecDto> {
    @GetMapping("/getShopSpec")
    public RPCBaseResponse<Page<SpecVo>> getShopSpec(@RequestParam("countryId") Long countryId,
                                                     @RequestParam("currentPage") Integer currentPage,
                                                     @RequestParam("pgeSize") Integer pageSize);

    /**
     * 修改/新增规格
     *
     * @return {@link RPCBaseResponse }<{@link Page }<{@link SpecVo }>>
     */

    @PostMapping("/insertOrUpdate")
    public RPCBaseResponse<Page<SpecVo>> insertOrUpdate(@RequestBody SpecDto specDto);
}
