package edu.travel.remote.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 类功能描述：
 * 新增商品SKU
 *
 * @author 大春
 * @date 2025/03/08
 */

@Data
public class InsertProductSkuDto {

    /**
     * SKU
     */
    private String skuId;

    /**
     * 库房ID
     */
    private String warehouseId;
    /**
     * 库存
     */
    private Integer inventory;

    /**
     * 0 上架 1 下架
     */
    private Integer status;

    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 商品SKU图片
     */
    private List<FileDto> imageUrl;
    /**
     * 销量
     */
    private Integer salesVolume;

    /**
     * 条码
     */
    private Integer barcodes;
    /**
     * 成本价格
     */
    private BigDecimal costPrice;
    /**
     * 计件单位id
     */
    private String unitId;

    private List<SkuValueDto> skuValues;
}
