package edu.travel.remote.order;

import edu.travel.remote.base.RemoteBaseController;
import edu.travel.remote.dto.AddOrderDto;
import edu.travel.remote.dto.ShopOrderDto;
import edu.travel.remote.vo.ShopOrderVo;
import edu.travel.remote.vo.ShowOrderInfoVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "order-dev", path = "/shopOrder")
public interface ShopOrderRemoteController extends RemoteBaseController<ShopOrderVo, ShopOrderDto> {
    @PostMapping("/addShopOrder")
    RPCBaseResponse<Void> addShopOrder(AddOrderDto params);

    @GetMapping("/orderInfoByOrderNum")
    public RPCBaseResponse<ShowOrderInfoVo> orderInfoByOrderNum(@RequestParam("orderNum") String orderNum);

    @GetMapping("/changeOrderState")
    public RPCBaseResponse<Void> changeOrderState(@RequestParam("orderNum") String orderNum, @RequestParam("state") String state);

}
