package edu.travel.remote;

import com.baomidou.mybatisplus.core.metadata.IPage;
import edu.travel.dto.ShopWarehouseDto;
import edu.travel.dto.ShopWarehouseSaveDto;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.ShopWarehouseStaffVo;
import edu.travel.vo.ShopWarehouseVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@FeignClient(path = "/shopWarehouse", name = "warehouse-dev")
public interface ShopWarehouseRemoteController extends RemoteBaseController<ShopWarehouseVo, ShopWarehouseDto> {
    @GetMapping("/getWarehouseCountryForm")
    public RPCBaseResponse<List<ShopWarehouseVo>> getWarehouseCountryForm(ShopWarehouseDto dto);

    @GetMapping("/getWarehouseCountryPage")
    public RPCBaseResponse<IPage<ShopWarehouseVo>> getWarehouseCountryPage(ShopWarehouseDto dto);

    @GetMapping("/getWarehouseTenantRole")
    public RPCBaseResponse<List<ShopWarehouseStaffVo>> getWarehouseTenantRole(String id);

    @PostMapping("/saveAllForm")
    public RPCBaseResponse<ShopWarehouseVo> saveAllForm(@RequestBody ShopWarehouseSaveDto entity);

    @PostMapping("/updateWarehouse")
    public RPCBaseResponse<ShopWarehouseVo> updateWarehouse(@RequestBody ShopWarehouseSaveDto entity);
}
