package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 商品表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_product")
public class ShopProduct extends BaseEntity {
    /**
     * 商品ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 类型ID
     */
    @TableField(value = "category_id")
    private Long categoryId;

    /**
     * 类型名
     */
    @TableField(value = "category_name")
    private String categoryName;

    /**
     * 商品名称
     */
    @TableField(value = "product_name")
    private String productName;

    /**
     * 商品描述
     */
    @TableField(value = "description")
    private String description;

    /**
     * 列表展示图片
     */
    @TableField(value = "main_image_url")
    private String mainImageUrl;

    /**
     * 热度值
     */
    @TableField(value = "heat_value")
    private Integer heatValue;

    /**
     * 销量
     */
    @TableField(value = "sales_volume")
    private Integer salesVolume;

    /**
     * 0 上架 1 下架
     */
    @TableField(value = "`status`")
    private Integer status;

    /**
     * 价格
     */
    @TableField(value = "default_price")
    private BigDecimal defaultPrice;

    /**
     * 库房id
     */
    @TableField(value = "`warehouse_id`")
    private Long warehouseId;

    /**
     * 国家ID
     */
    @TableField(value = "`country_id`")
    private Integer countryId;

    /**
     * 评分满分五分
     */
    @TableField(value = "`scoring`")
    private Integer scoring;
}