package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 商品评论表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_review")
public class ShopReview extends BaseEntity {
    /**
     * 商品评论表ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 父级ID、0为一级评论
     */
    @TableField(value = "parent_id")
    private Long parentId;

    /**
     * 用户ID
     */
    @TableField(value = "user_id")
    private Long userId;

    /**
     * 商品ID
     */
    @TableField(value = "product_id")
    private Long productId;
    /**
     * 订单号
     */
    @TableField(value = "order_id")
    private Long orderId;
    /**
     * SKU
     */
    @TableField(value = "sku_id")
    private Long skuId;

    /**
     * 评级
     */
    @TableField(value = "rating")
    private Integer rating;

    /**
     * 评论内容
     */
    @TableField(value = "content")
    private String content;

    /**
     * 评论图片
     */
    @TableField(value = "image")
    private String image;

    /**
     * 是否置顶
     */
    @TableField(value = "is_top")
    private String isTop;

    /**
     * sku详情
     */
    @TableField(value = "sku_details")
    private String skuDetails;

    /**
     * 是否匿名0否  1是
     */
    @TableField(value = "is_anonymity")
    private Integer isAnonymity;

}