package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 购物车表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_shopping_cart")
public class ShopShoppingCart extends BaseEntity {
    /**
     * 购物车表ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户ID
     */
    @TableField(value = "user_id")
    private Long userId;

    /**
     * 产品sku_ID
     */
    @TableField(value = "product_sku_id")
    private Long productSkuId;

    /**
     * 数量
     */
    @TableField(value = "quantity")
    private Integer quantity;

    /**
     * 产品
     */
    @TableField(value = "product_id")
    private Long productId;
}