package edu.travel.tenant.web;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.remote.feign.mode.dto.tenant.SysProjectDto;
import edu.travel.remote.feign.mode.vo.tenant.SysProjectVo;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.tenant.SysProjectRemoteController;
import edu.travel.tenant.entity.SysProject;
import edu.travel.tenant.service.impl.SysProjectServiceImpl;
import edu.travel.web.BaseController;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 项目标识接相关接口（前缀 tenant）
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/sysProject")
public class SysProjectController extends BaseController<SysProject> implements SysProjectRemoteController {
    /**
     * 项目标识表
     */
    @Autowired
    private SysProjectServiceImpl sysProjectServiceImpl;

    /**
     * 新增项目标识
     */
    @PostMapping("/saveFormTarget")
//    @PreAuthorize("hasRole('超级管理员')")
    public RPCBaseResponse<SysProjectVo> saveProject(@RequestBody SysProjectDto sysProjectDto) {
        SysProjectVo sysProjectVo = sysProjectServiceImpl.saveProject(sysProjectDto);
        return RPCBaseResponse.success("保存成功", sysProjectVo);
    }

    /**
     * 分页查询项目标识
     *
     * @param sysProjectDto
     * @return
     */
    @GetMapping("/getProjectPageList")
//    @PreAuthorize("hasRole('超级管理员')")
    public RPCBaseResponse<Page<SysProjectVo>> getProjectPageList(SysProjectDto sysProjectDto) {
        IPage<SysProject> page = sysProjectServiceImpl.getProjectPageList(sysProjectDto);
        List<SysProjectVo> happyEntryVos = BeanUtil.copyToList(page.getRecords(), SysProjectVo.class);
        Page<SysProjectVo> target = new Page<SysProjectVo>();
        BeanUtils.copyProperties(page, target);
        target.setRecords(happyEntryVos);
        return new RPCBaseResponse<>(200, "success", target);
    }

}
