package edu.travel.tenant.web;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.tenant.SysUserRoleRemoteController;
import edu.travel.tenant.entity.SysRole;
import edu.travel.tenant.entity.SysUserRole;
import edu.travel.tenant.service.ISysRoleService;
import edu.travel.tenant.service.ISysUserRoleService;
import edu.travel.web.BaseController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.stream.Collectors;

/**
 * SysMenuController 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/2/6
 */

@RestController
@RequestMapping("/sysUserRole")
public class SysUserRoleController extends BaseController<SysUserRole> implements SysUserRoleRemoteController {
    @Autowired
    private ISysUserRoleService iSysUserRoleService;
    @Autowired
    private ISysRoleService sysRoleService;

    @GetMapping("/getAdmins")
    public RPCBaseResponse<List<String>> getAdmins() {
        LambdaQueryWrapper<SysRole> query = Wrappers.<SysRole>lambdaQuery().eq(SysRole::getName, "超级管理员");
        SysRole one = sysRoleService.getOne(query);
        LambdaQueryWrapper<SysUserRole> queryWrapper = Wrappers.<SysUserRole>lambdaQuery().eq(SysUserRole::getRoleId, one.getId());
        List<SysUserRole> list = iSysUserRoleService.list(queryWrapper);
        List<String> collect = list.stream().map(sysUserRole -> sysUserRole.getUserId().toString()).collect(Collectors.toList());
        return RPCBaseResponse.success(collect);
    }


}
