package edu.travel.upload.config;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class MD5Calculator {

    public static String calculateMD5(byte[] data) {
        try {
            MessageDigest md = MessageDigest.getInstance("MD5");
            byte[] hashBytes = md.digest(data);
            return bytesToHex(hashBytes);
        } catch (NoSuchAlgorithmException e) {
            // MD5算法在所有Java实现中都应可用，此处异常理论上不会发生
            throw new RuntimeException("MD5 algorithm not available", e);
        }
    }

    private static String bytesToHex(byte[] bytes) {
        StringBuilder hexString = new StringBuilder();
        for (byte b : bytes) {
            String hex = String.format("%02x", b & 0xFF);
            hexString.append(hex);
        }
        return hexString.toString();
    }

    public static void main(String[] args) {
        byte[] testData = "Hello, World!".getBytes();
        String md5Hash = calculateMD5(testData);
        System.out.println("MD5 Hash: " + md5Hash);
        // 输出：MD5 Hash: 65a8e27d8879283831b664bd8b7f0ad4
    }
}