package edu.travel.warehouse.web;

import cn.hutool.core.bean.BeanUtil;
import edu.travel.dto.ShopWarehouseStaffDto;
import edu.travel.remote.ShopWarehouseStaffRemoteController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.warehouse.entity.ShopWarehouseStaff;
import edu.travel.warehouse.service.ShopWarehouseStaffService;
import edu.travel.web.BaseController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/shopWarehouseStaff")
class ShopWarehouseStaffController extends BaseController<ShopWarehouseStaff> implements ShopWarehouseStaffRemoteController {
    @Autowired
    private ShopWarehouseStaffService shopWarehouseStaffService;

    /**
     *  新增库房人员关联
     * @return {@link RPCBaseResponse }<{@link Boolean }>
     */
    @PostMapping("/insertWarehouseStaff")
    public RPCBaseResponse<Boolean> insertWarehouseStaff(@RequestBody ShopWarehouseStaffDto staffDto){
        ShopWarehouseStaff bean = BeanUtil.toBean(staffDto, ShopWarehouseStaff.class);
        return RPCBaseResponse.success(shopWarehouseStaffService.save(bean));
    }





}
